package ru.nbch.credit_tracker.service.xml.jaxb;

import java.io.InputStream;
import java.nio.file.Path;

public interface IXmlProcessor {
    String asString(Object xmlObj, boolean useStandalone);

    String asString(Object xmlObj, boolean useStandalone, String encoding);

    void write(String path, Object xmlObj, boolean useStandalone);

    <Z> Z read(InputStream inputStream, Class<Z> clazz);

    <Z> Z read(Path xml, Class<Z> clazz);

    <Z> Z read(String xml, Class<Z> clazz);
}
